Package com.databricks.jdbc.api

## Interface IDatabricksConnectionContext

All Known Implementing Classes:
  `DatabricksConnectionContext`

    public interface IDatabricksConnectionContext

### Nested Class Summary

Nested Classes
`static class` `IDatabricksConnectionContext.AuthFlow`
`static class` `IDatabricksConnectionContext.AuthMech`
`static class` `IDatabricksConnectionContext.Cloud`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acceptUndeterminedCertificateRevocation()`
`boolean` `checkCertificateRevocation()`
`int` `getAsyncExecPollInterval()`
`String` `getAuthEndpoint()` Returns the OAuth2 authorization endpoint URL for the authorization code flow.
`IDatabricksConnectionContext.AuthFlow` `getAuthFlow()`
`IDatabricksConnectionContext.AuthMech` `getAuthMech()`
`String` `getAuthScope()` Returns the OAuth2 authentication scope used in the request.
`String` `getCatalog()`
`String` `getClientId()`
`String` `getClientSecret()`
`DatabricksClientType` `getClientType()`
`String` `getClientUserAgent()`
`com.databricks.sdk.core.ProxyConfig.ProxyAuthType` `getCloudFetchProxyAuthType()`
`String` `getCloudFetchProxyHost()`
`String` `getCloudFetchProxyPassword()`
`int` `getCloudFetchProxyPort()`
`String` `getCloudFetchProxyUser()`
`int` `getCloudFetchThreadPoolSize()` Returns the number of threads to be used for fetching data from cloud storage
`CompressionType` `getCompressionType()`
`IDatabricksComputeResource` `getComputeResource()` Returns warehouse-Id as parsed from JDBC connection Url
`String` `getConnectionURL()`
`Boolean` `getDirectResultMode()`
`String` `getEndpointURL()`
`String` `getHostForOAuth()`
`String` `getHostUrl()` Returns host-Url for Databricks server as parsed from JDBC connection in format `https://server:port`
`String` `getHttpPath()`
`int` `getIdleHttpConnectionExpiry()`
`String` `getJWTAlgorithm()` Returns the algorithm used for signing the JWT (e.g., RS256, ES256).
`String` `getJWTKeyFile()` Returns the file path to the JWT private key used for signing the JWT.
`String` `getJWTPassphrase()` Returns the passphrase to decrypt the private key if the key is encrypted.
`String` `getKID()` Returns the Key ID (KID) used in the JWT header, identifying the key.
`int` `getLogFileCount()`
`int` `getLogFileSize()`
`LogLevel` `getLogLevel()`
`String` `getLogPathString()`
`int` `getMaxBatchSize()` Returns the maximum number of commands that can be executed in a single batch.
`String` `getNonProxyHosts()` Returns the non-proxy hosts that should be excluded from proxying.
`String` `getOAuthDiscoveryURL()` Returns the discovery URL used to obtain the OAuth2 token and authorization endpoints.
`String` `getOAuthRefreshToken()` Returns the OAuth2 refresh token used to obtain a new access token when the current one expires.
`List<String>` `getOAuthScopesForU2M()`
`String` `getPassThroughAccessToken()` Returns the pass through access token
`com.databricks.sdk.core.ProxyConfig.ProxyAuthType` `getProxyAuthType()`
`String` `getProxyHost()`
`String` `getProxyPassword()`
`int` `getProxyPort()`
`String` `getProxyUser()`
`int` `getRateLimitRetryTimeout()`
`String` `getSchema()`
`Map<String,​String>` `getSessionConfigs()`
`String` `getSSLTrustStore()` Returns the SSL trust store file path used for SSL connections.
`String` `getSSLTrustStorePassword()` Returns the SSL trust store password of the trust store file.
`String` `getSSLTrustStoreProvider()` Returns the SSL trust store provider of the trust store file.
`String` `getSSLTrustStoreType()` Returns the SSL trust store type of the trust store file.
`int` `getTemporarilyUnavailableRetryTimeout()`
`String` `getToken()` Returns the auth token (personal access token)
`String` `getTokenEndpoint()` Returns the OAuth2 token endpoint URL for retrieving tokens.
`Boolean` `getUseCloudFetchProxy()`
`Boolean` `getUseEmptyMetadata()`
`Boolean` `getUseProxy()`
`Boolean` `getUseSystemProxy()`
`boolean` `isAllPurposeCluster()`
`boolean` `isOAuthDiscoveryModeEnabled()` Returns whether OAuth2 discovery mode is enabled, which fetches endpoints dynamically.
`Boolean` `shouldEnableArrow()`
`Boolean` `shouldRetryRateLimitError()`
`Boolean` `shouldRetryTemporarilyUnavailableError()`
`boolean` `supportManyParameters()`
`boolean` `useJWTAssertion()` Returns whether JWT assertion should be used for OAuth2 authentication.

### Method Detail

#### getHostUrl

    String getHostUrl()
               throws DatabricksParsingException

Returns host-Url for Databricks server as parsed from JDBC connection in format `https://server:port`

Returns:
  Databricks host-Url
Throws:
  `DatabricksParsingException`

#### getComputeResource

    IDatabricksComputeResource getComputeResource()

Returns warehouse-Id as parsed from JDBC connection Url

Returns:
  warehouse-Id

#### getToken

    String getToken()

Returns the auth token (personal access token)

Returns:
  auth token

#### getPassThroughAccessToken

    String getPassThroughAccessToken()

Returns the pass through access token

Returns:
  access token

#### getHostForOAuth

    String getHostForOAuth()

#### getClientId

    String getClientId()
                throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getClientSecret

    String getClientSecret()

#### getOAuthScopesForU2M

    List<String> getOAuthScopesForU2M()
                               throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getAuthMech

    IDatabricksConnectionContext.AuthMech getAuthMech()

#### getAuthFlow

    IDatabricksConnectionContext.AuthFlow getAuthFlow()

#### getLogLevel

    LogLevel getLogLevel()

#### getLogPathString

    String getLogPathString()

#### getLogFileSize

    int getLogFileSize()

#### getLogFileCount

    int getLogFileCount()

#### getClientUserAgent

    String getClientUserAgent()

#### getCompressionType

    CompressionType getCompressionType()

#### getCatalog

    String getCatalog()

#### getSchema

    String getSchema()

#### getSessionConfigs

    Map<String,​String> getSessionConfigs()

#### isAllPurposeCluster

    boolean isAllPurposeCluster()

#### getHttpPath

    String getHttpPath()

#### getProxyHost

    String getProxyHost()

#### getProxyPort

    int getProxyPort()

#### getProxyUser

    String getProxyUser()

#### getProxyPassword

    String getProxyPassword()

#### getUseProxy

    Boolean getUseProxy()

#### getProxyAuthType

    com.databricks.sdk.core.ProxyConfig.ProxyAuthType getProxyAuthType()

#### getUseSystemProxy

    Boolean getUseSystemProxy()

#### getUseCloudFetchProxy

    Boolean getUseCloudFetchProxy()

#### getCloudFetchProxyHost

    String getCloudFetchProxyHost()

#### getCloudFetchProxyPort

    int getCloudFetchProxyPort()

#### getCloudFetchProxyUser

    String getCloudFetchProxyUser()

#### getCloudFetchProxyPassword

    String getCloudFetchProxyPassword()

#### getCloudFetchProxyAuthType

    com.databricks.sdk.core.ProxyConfig.ProxyAuthType getCloudFetchProxyAuthType()

#### getEndpointURL

    String getEndpointURL()
                   throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### getAsyncExecPollInterval

    int getAsyncExecPollInterval()

#### shouldEnableArrow

    Boolean shouldEnableArrow()

#### getClientType

    DatabricksClientType getClientType()

#### getUseEmptyMetadata

    Boolean getUseEmptyMetadata()

#### getCloudFetchThreadPoolSize

    int getCloudFetchThreadPoolSize()

Returns the number of threads to be used for fetching data from cloud storage

#### getDirectResultMode

    Boolean getDirectResultMode()

#### shouldRetryTemporarilyUnavailableError

    Boolean shouldRetryTemporarilyUnavailableError()

#### shouldRetryRateLimitError

    Boolean shouldRetryRateLimitError()

#### getTemporarilyUnavailableRetryTimeout

    int getTemporarilyUnavailableRetryTimeout()

#### getRateLimitRetryTimeout

    int getRateLimitRetryTimeout()

#### getIdleHttpConnectionExpiry

    int getIdleHttpConnectionExpiry()

#### supportManyParameters

    boolean supportManyParameters()

#### getConnectionURL

    String getConnectionURL()

#### checkCertificateRevocation

    boolean checkCertificateRevocation()

#### acceptUndeterminedCertificateRevocation

    boolean acceptUndeterminedCertificateRevocation()

#### getJWTKeyFile

    String getJWTKeyFile()

Returns the file path to the JWT private key used for signing the JWT.

#### getKID

    String getKID()

Returns the Key ID (KID) used in the JWT header, identifying the key.

#### getJWTPassphrase

    String getJWTPassphrase()

Returns the passphrase to decrypt the private key if the key is encrypted.

#### getJWTAlgorithm

    String getJWTAlgorithm()

Returns the algorithm used for signing the JWT (e.g., RS256, ES256).

#### useJWTAssertion

    boolean useJWTAssertion()

Returns whether JWT assertion should be used for OAuth2 authentication.

#### getTokenEndpoint

    String getTokenEndpoint()

Returns the OAuth2 token endpoint URL for retrieving tokens.

#### getAuthEndpoint

    String getAuthEndpoint()

Returns the OAuth2 authorization endpoint URL for the authorization code flow.

#### isOAuthDiscoveryModeEnabled

    boolean isOAuthDiscoveryModeEnabled()

Returns whether OAuth2 discovery mode is enabled, which fetches endpoints dynamically.

#### getOAuthDiscoveryURL

    String getOAuthDiscoveryURL()

Returns the discovery URL used to obtain the OAuth2 token and authorization endpoints.

#### getAuthScope

    String getAuthScope()

Returns the OAuth2 authentication scope used in the request.

#### getOAuthRefreshToken

    String getOAuthRefreshToken()

Returns the OAuth2 refresh token used to obtain a new access token when the current one expires.

#### getNonProxyHosts

    String getNonProxyHosts()

Returns the non-proxy hosts that should be excluded from proxying.

#### getSSLTrustStore

    String getSSLTrustStore()

Returns the SSL trust store file path used for SSL connections.

#### getSSLTrustStoreProvider

    String getSSLTrustStoreProvider()

Returns the SSL trust store provider of the trust store file.

#### getSSLTrustStorePassword

    String getSSLTrustStorePassword()

Returns the SSL trust store password of the trust store file.

#### getSSLTrustStoreType

    String getSSLTrustStoreType()

Returns the SSL trust store type of the trust store file.

#### getMaxBatchSize

    int getMaxBatchSize()

Returns the maximum number of commands that can be executed in a single batch.